# backup-bot

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/backup-bot/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/backup-bot)

A robot who does backups in the swarm.

## Publishing

If you push a commit to master, the [Drone config](./.drone.yml) will publish to [Docker Hub](https://hub.docker.com/r/decentral1se/backup-bot).

## Usage

```yaml
backupbot:
  image: "decentral1se/backup-bot:0.0.1"
  secrets:
    - backup_bot_ssh_key
    - db_password
  configs:
    - source: borgmatic_config_yml
      target: /etc/borgmatic/config.yaml
  environment:
    - BORGBASE_REPO="g067e243@g067e243.repo.borgbase.com:repo"
    - DB_HOST=mariadb
    - DB_TABLE=wordpress
    - DB_USER=wordpress
  deploy:
    mode: replicated
    replicas: 0
    labels:
      - "swarm.cronjob.enable=true"
      - "swarm.cronjob.schedule=0 2 * * *" # "At 02:00 every night"
    restart_policy:
      condition: none
```
